package cn.com.qmth.examcloud.core.questions.service.temp.vo;

import java.util.Map;

/**
 * @author weiwenhai
 * @date 2018.8.19
 * @company qmth
 * @describle 地大各个课程下各题型统计Excel
 */
public class DdExcelDto {

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 课程代码
     */
    private String courseCode;

    /**
     * key:大题名称
     * value:数量
     */
    private Map<String, Long> map;

    public DdExcelDto() {

    }

    public DdExcelDto(String courseName, String courseCode, Map<String, Long> map) {
        this.courseName = courseName;
        this.courseCode = courseCode;
        this.map = map;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Map<String, Long> getMap() {
        return map;
    }

    public void setMap(Map<String, Long> map) {
        this.map = map;
    }

}
